.TH wxGridCellAttr 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxGridCellAttr \- See external documentation: wxGridCellAttr\&.
.SH DESCRIPTION
.LP
See external documentation: wxGridCellAttr <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxGridCellAttr()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
setTextColour(This::wxGridCellAttr(), ColText::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrsettextcolour>\&.
.RE
.LP
.B
setBackgroundColour(This::wxGridCellAttr(), ColBack::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrsetbackgroundcolour>\&.
.RE
.LP
.B
setFont(This::wxGridCellAttr(), Font::wxFont() (see module wxFont)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrsetfont>\&.
.RE
.LP
.B
setAlignment(This::wxGridCellAttr(), HAlign::integer(), VAlign::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrsetalignment>\&.
.RE
.LP
.B
setReadOnly(This::wxGridCellAttr()) -> ok
.br
.RS
.LP
Equivalent to setReadOnly(This, [])\&.
.RE
.LP
.B
setReadOnly(This::wxGridCellAttr(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {isReadOnly, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrsetreadonly>\&.
.RE
.LP
.B
setRenderer(This::wxGridCellAttr(), Renderer::wxGridCellRenderer() (see module wxGridCellRenderer)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrsetrenderer>\&.
.RE
.LP
.B
setEditor(This::wxGridCellAttr(), Editor::wxGridCellEditor() (see module wxGridCellEditor)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrseteditor>\&.
.RE
.LP
.B
hasTextColour(This::wxGridCellAttr()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrhastextcolour>\&.
.RE
.LP
.B
hasBackgroundColour(This::wxGridCellAttr()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrhasbackgroundcolour>\&.
.RE
.LP
.B
hasFont(This::wxGridCellAttr()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrhasfont>\&.
.RE
.LP
.B
hasAlignment(This::wxGridCellAttr()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrhasalignment>\&.
.RE
.LP
.B
hasRenderer(This::wxGridCellAttr()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrhasrenderer>\&.
.RE
.LP
.B
hasEditor(This::wxGridCellAttr()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrhaseditor>\&.
.RE
.LP
.B
getTextColour(This::wxGridCellAttr()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrgettextcolour>\&.
.RE
.LP
.B
getBackgroundColour(This::wxGridCellAttr()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrgetbackgroundcolour>\&.
.RE
.LP
.B
getFont(This::wxGridCellAttr()) -> wxFont() (see module wxFont)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrgetfont>\&.
.RE
.LP
.B
getAlignment(This::wxGridCellAttr()) -> {HAlign::integer(), VAlign::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrgetalignment>\&.
.RE
.LP
.B
getRenderer(This::wxGridCellAttr(), Grid::wxGrid() (see module wxGrid), Row::integer(), Col::integer()) -> wxGridCellRenderer() (see module wxGridCellRenderer)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrgetrenderer>\&.
.RE
.LP
.B
getEditor(This::wxGridCellAttr(), Grid::wxGrid() (see module wxGrid), Row::integer(), Col::integer()) -> wxGridCellEditor() (see module wxGridCellEditor)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrgeteditor>\&.
.RE
.LP
.B
isReadOnly(This::wxGridCellAttr()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrisreadonly>\&.
.RE
.LP
.B
setDefAttr(This::wxGridCellAttr(), DefAttr::wxGridCellAttr()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgridcellattr\&.html#wxgridcellattrsetdefattr>\&.
.RE
